# SupVesting

## Overview

Within `StakeUpStaking` contributor and investor token allocations are held allowing users to have their `SUP` tokens staked and generating rewards while they are in the middle of vesting.

## Contract API

### `getAvailableTokens`

```solidity
function availableTokens(address account) external view returns (uint256);
```

Return the amount of tokens currently available to withdraw from the vesting contract.

### `claimAvailableTokens`

```solidity
function claimAvailableTokens() external returns (uint256);
```

Claim and withdraw all tokens that have completed vesting.

### `getCurrentBalance`

```solidity
function currentBalance(address account) external view returns (uint256);
```

Returns the amount of `SUP` that are within the vesting portion of `StakeUpStaking` for a given `account`, vested and locked.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.stakeup.finance/technical-docs/smart-contracts/stakeupstaking/supvesting.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
